=== debian/control ===
Source: icu74
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), autoconf-archive, pkgconf, python3
Build-Depends-Indep: doxygen (>= 1.7.1)
Build-Conflicts: clang
Homepage: https://icu.unicode.org/
Rules-Requires-Root: no

Package: libicu74
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: openttd (<< 1.8.0-2~), libiculx63 (<< 63.1-5)
Replaces: libiculx63 (<< 63.1-5)
Description: International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the runtime
 libraries for ICU.

Package: libicu74-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, libicu74 (= ${binary:Version}), icu74-devtools (>= ${binary:Version}), libc6-dev | libc-dev
Replaces: icu-devtools (<< 74.1~rc-1~)
Breaks: icu-devtools (<< 74.1~rc-1~)
Conflicts: libicu-dev
Suggests: icu-doc
Description: Development files for International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains the development
 files for ICU.

Package: icu74-devtools
Section: libdevel
Architecture: any
Multi-Arch: foreign
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Replaces: libicu74-dev (<< ${binary:Version}), icu-tools (<< 74.1~rc-1~)
Breaks: libicu74-dev (<< ${binary:Version}), icu-tools (<< 74.1~rc-1~)
Conflicts: icu-devtools
Description: Development utilities for International Components for Unicode
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support. This package contains programs used to
 manipulate data files found in the ICU sources and is a dependency of
 libicu-dev.  End users would generally not need to install this package.

Package: icu74-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Conflicts: icu-doc
Description: API documentation for ICU classes and functions
 ICU is a C++ and C library that provides robust and full-featured
 Unicode and locale support.  This package contains HTML files
 documenting the ICU APIs.
