=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_CXXFLAGS_MAINT_APPEND += -fexcess-precision=fast

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

ifeq ($(DEB_HOST_ARCH_ENDIAN),little)
export DEB_CPPFLAGS_MAINT_APPEND = -DU_TIMEZONE_FILES_DIR=/usr/share/zoneinfo-icu/44/le/
endif
ifeq ($(DEB_HOST_ARCH_ENDIAN),big)
export DEB_CPPFLAGS_MAINT_APPEND = -DU_TIMEZONE_FILES_DIR=/usr/share/zoneinfo-icu/44/be/
endif

include /usr/share/dpkg/buildflags.mk

l_SONAME=74

override_dh_auto_clean:
	dh_auto_clean --no-parallel

override_dh_clean:
	dh_clean
	find $(CURDIR)/source/ \( -name Makefile -o -name pkgdataMakefile \) \
		-exec rm {} \;
	rm -Rf build-native

override_dh_auto_configure:
ifeq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
	dh_auto_configure -- --enable-static --disable-layoutex --disable-icu-config
else
	dh_auto_configure -B $(CURDIR)/build-native -- --host=$(DEB_BUILD_GNU_TYPE) --disable-layoutex --disable-icu-config
	dh_auto_build -B $(CURDIR)/build-native
	dh_auto_configure -- --enable-static --with-cross-build=$(CURDIR)/build-native
endif

override_dh_auto_build:
	dh_auto_build --parallel -- VERBOSE=1
	dh_auto_build --parallel -- VERBOSE=1 doc

override_dh_auto_test:
	dh_auto_test --no-parallel

override_dh_auto_install:
	dh_auto_install
	$(MAKE) -C $(CURDIR)/source/ install-doc DESTDIR=$(CURDIR)/debian/tmp/
	# delete extra license file
	#$(RM) $(CURDIR)/debian/tmp/usr/share/icu/$(l_SONAME).?/LICENSE
	# Remove build paths
	sed -i -e 's,$(CURDIR),BUILDPATH,g' debian/*/usr/lib/*/icu/*/*.inc
	# Consistently use /bin/sh for SHELL
	sed -i -e 's,^SHELL =.*,SHELL = /bin/sh,g' debian/*/usr/lib/*/icu/*/*.inc

override_dh_installdocs-indep:
	dh_installdocs -i
	# symlink duplicated files
	for file in `find debian/icu74-doc/usr/share/doc/icu74-doc/html/ -name \*icu_1_1\*`; do \
		normal=`echo $$file | sed s/icu_1_1//`; \
		if [ -f $$normal ]; then \
			$(RM) $$file; \
			ln -s `basename $$normal` $$file; \
		fi; \
	done
	# Remove build paths from documentation
	sed -i -e 's,$(CURDIR),,g' debian/icu74-doc/usr/share/doc/icu74-doc/html/icudocs.tag

override_dh_missing:
	dh_missing --list-missing

override_dh_dwz:
	echo dh_dwz set to no op due to #1016936

%:
	dh $@ --sourcedirectory=$(CURDIR)/source/

.PHONY: override_dh_auto_clean override_dh_clean override_dh_auto_configure \
	override_dh_auto_build override_dh_auto_test \
	override_dh_auto_install override_dh_installdocs-indep \
	override_dh_missing override_dh_dwz
